Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2049699 - Review Request: ghc-spdx - SPDX license expression language, Extras
Summary: Review Request: ghc-spdx - SPDX license expression language, Extras
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2031307 2031315 2045696 2066718
TreeView+ depends on / blocked
 
Reported: 2022-02-02 14:56 UTC by Mohamed El Morabity
Modified: 2022-07-25 14:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-25 14:23:26 UTC
Type: ---
Embargoed:
petersen: fedora-review+


Attachments (Terms of Use)

Description Mohamed El Morabity 2022-02-02 14:56:16 UTC
Spec URL: https://melmorabity.fedorapeople.org/packages/ghc-spdx/ghc-spdx.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/ghc-spdx/ghc-spdx-1.0.0.2-1.fc36.src.rpm
Description:
Cabal provides SPDX types. This package provides some extras.
Fedora Account System Username: melmorabity

Comment 1 Jens Petersen 2022-06-17 08:29:08 UTC
Package APPROVED


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-Clause License". 8 files have
     unknown license. Detailed output of licensecheck in
     /home/petersen/2049699-ghc-spdx/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/doc/ghc/html/libraries/spdx-1.0.0.2(ghc-spdx-doc),
     /usr/share/doc/ghc/html/libraries/spdx-1.0.0.2/src(ghc-spdx-doc)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
ghc-spdx-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ghc-8.10.5/spdx-1.0.0.2/libHSspdx-1.0.0.2-1MvojAXHtJR4UYFmCMvYZj.a
ghc-spdx-prof.x86_64: E: static-library-without-debuginfo /usr/lib64/ghc-8.10.5/spdx-1.0.0.2/libHSspdx-1.0.0.2-1MvojAXHtJR4UYFmCMvYZj_p.a
ghc-spdx.x86_64: W: no-documentation
ghc-spdx-prof.x86_64: W: no-documentation
ghc-spdx-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-8.10.5/spdx-1.0.0.2/libHSspdx-1.0.0.2-1MvojAXHtJR4UYFmCMvYZj_p.a
 5 packages and 0 specfiles checked; 2 errors, 3 warnings, 2 badness; has taken 0.2 s

Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Unversioned so-files
--------------------
ghc-spdx: /usr/lib64/libHSspdx-1.0.0.2-1MvojAXHtJR4UYFmCMvYZj-ghc8.10.5.so

Source checksums
----------------
https://hackage.haskell.org/package/spdx-1.0.0.2/spdx-1.0.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : b283e8070b561e63ef55884c67c29311e1f7e1b7120d309f2cc46fc81fe1cd2b
  CHECKSUM(SHA256) upstream package : b283e8070b561e63ef55884c67c29311e1f7e1b7120d309f2cc46fc81fe1cd2b


Requires
--------
ghc-spdx (rpmlib, GLIBC filtered):
    libHSCabal-3.2.1.0-ghc8.10.5.so()(64bit)
    libHSarray-0.5.4.0-ghc8.10.5.so()(64bit)
    libHSbase-4.14.2.0-ghc8.10.5.so()(64bit)
    libHSbinary-0.8.8.0-ghc8.10.5.so()(64bit)
    libHSbytestring-0.10.12.0-ghc8.10.5.so()(64bit)
    libHScontainers-0.6.4.1-ghc8.10.5.so()(64bit)
    libHSdeepseq-1.4.4.0-ghc8.10.5.so()(64bit)
    libHSdirectory-1.3.6.0-ghc8.10.5.so()(64bit)
    libHSfilepath-1.4.2.1-ghc8.10.5.so()(64bit)
    libHSghc-boot-th-8.10.5-ghc8.10.5.so()(64bit)
    libHSghc-prim-0.6.1-ghc8.10.5.so()(64bit)
    libHSinteger-gmp-1.0.3.0-ghc8.10.5.so()(64bit)
    libHSmtl-2.2.2-ghc8.10.5.so()(64bit)
    libHSparsec-3.1.14.0-ghc8.10.5.so()(64bit)
    libHSpretty-1.1.3.6-ghc8.10.5.so()(64bit)
    libHSprocess-1.6.9.0-ghc8.10.5.so()(64bit)
    libHStemplate-haskell-2.16.0.0-ghc8.10.5.so()(64bit)
    libHStext-1.2.4.1-ghc8.10.5.so()(64bit)
    libHStime-1.9.3-ghc8.10.5.so()(64bit)
    libHStransformers-0.5.6.2-ghc8.10.5.so()(64bit)
    libHSunix-2.7.2.2-ghc8.10.5.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

ghc-spdx-devel (rpmlib, GLIBC filtered):
    ghc-compiler
    ghc-devel(Cabal-3.2.1.0)
    ghc-devel(base-4.14.2.0)
    ghc-devel(containers-0.6.4.1)
    ghc-devel(transformers-0.5.6.2)
    ghc-spdx(x86-64)



Provides
--------
ghc-spdx:
    ghc-spdx
    ghc-spdx(x86-64)
    libHSspdx-1.0.0.2-1MvojAXHtJR4UYFmCMvYZj-ghc8.10.5.so()(64bit)

ghc-spdx-devel:
    ghc-devel(spdx-1.0.0.2-1MvojAXHtJR4UYFmCMvYZj)
    ghc-spdx-devel
    ghc-spdx-devel(x86-64)
    ghc-spdx-static
    ghc-spdx-static(x86-64)



Generated by fedora-review 0.8.0 (e988316) last change: 2022-04-07
Command line :/usr/bin/fedora-review -b 2049699
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Haskell, Shell-api
Disabled plugins: fonts, SugarActivity, PHP, Perl, Ocaml, R, Python, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Gwyn Ciesla 2022-06-29 16:51:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-spdx

Comment 3 Jens Petersen 2022-06-30 02:48:31 UTC
Currently Rawhide has ghc-spdx-1.0.0.3-5.fc37.

So please bump the version *and* release before building.
ie next build should be ghc-spdx-1.0.0.3-6.fc37


Note You need to log in before you can comment on or make changes to this bug.